# Needed for rm_r.
require 'fileutils'

require 'common/dovecot_plugin'
require 'rm/rm_plugin'

class DovecotRm

  include DovecotPlugin
  include RmPlugin


  def delete_domain(domain)
    domain_path = self.get_domain_path(domain)

    if not File.directory?(domain_path)
      raise NonexistentDomainError.new(domain.to_s())
    end

    FileUtils.rm_r(domain_path)
  end

  def delete_user(user)
    user_path = self.get_user_path(user)

    if not File.directory?(user_path)
      raise NonexistentUserError.new(user.to_s())
    end

    FileUtils.rm_r(user_path)
  end

end
